# KSPGetComputeSingularValues

Gets the flag indicating whether the extreme singular values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetComputeSingularValues(KSP ksp,PetscTruth *flg)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE

### Options Database Key

-ksp_monitor_singular_value -Activates KSPSetComputeSingularValues()

### Notes

Currently this option is not valid for all iterative methods.

Many users may just want to use the monitoring routine KSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) to print the singular values at each iteration of the linear solve.

### Keywords

KSP, set, compute, singular values

### See Also

KSPComputeExtremeSingularValues(), KSPMonitorSingularValue()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages